#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  MPFR-3.1.3

- Next

  GCC-5.3.0

- Up
- Home

# 6.16. MPC-1.0.3

The MPC package contains a library for the arithmetic of complex numbers with arbitrarily high precision and correct rounding of the result.

Approximate build time: 0.3 SBU
Required disk space: 17.5 MB

## 6.16.1. Installation of MPC

Prepare MPC for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/mpc-1.0.3

Compile the package and generate the HTML documentation:

    make
    make html

To test the results, issue:

    make check

Install the package and its documentation:

    make install
    make install-html

## 6.16.2. Contents of MPC

Installed Libraries: libmpc.so
Installed Directory: /usr/share/doc/mpc-1.0.3

### Short Descriptions

`libmpc` | Contains complex math functions

- Prev

  MPFR-3.1.3

- Next

  GCC-5.3.0

- Up
- Home